php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #11231 Apache will not start with PayFlow Pro SDK
Submitted: 2001-05-31 23:41 UTC Modified: 2001-06-01 06:30 UTC
From: jmiller at cobalt dot com Assigned:
Status: Closed Package: Verisign Payflow Pro related
PHP Version: 4.0.5 OS: Cobalt Linux release 5.0
Private report: No CVE-ID: None
 [2001-05-31 23:41 UTC] jmiller at cobalt dot com
Same as Bug id #9530



Also I was checking the Payflow V3 SDK and could not find a 
function called PNVersion.  Has it been removed or depreciated?

I am using this script to compile:
========================================================
#!/bin/sh

 './configure' '--enable-versioning' '--with-mysql=/usr'
'--with-pgsql=/usr' '--with-gdb' '--prefix=/usr'
'--with-apxs=/usr/sbin/apxs'
'--with-config-file-path=/etc/httpd/conf'
'--enable-safe-mode' '--with-exec-dir=/usr/sbin'
'--with-system-regex' '--disable-debug' '--with-zlib'
'--with-gdbm' '--with-db2' '--enable-debugger'
'--enable-magic-quotes' '--enable-track-vars'
'--enable-sysvsem' '--enable-sysvshm' '--enable-track-vars'
'--with-ftp' '--with-ssl' '--with-png-dir' '--with-jpeg-dir'
'--with-gd' '--with-pfpro'


sed -e
s/ac_cv_lib_gd_gdImagePaletteCopy=\'no\'/ac_cv_lib_gd_gdImagePaletteCopy=\'yes\'/g
config.cache > config.cache2
mv config.cache2 config.cache

 './configure' '--enable-versioning' '--with-mysql=/usr'
'--with-pgsql=/usr' '--with-gdb' '--prefix=/usr'
'--with-apxs=/usr/sbin/apxs'
'--with-config-file-path=/etc/httpd/conf'
'--enable-safe-mode' '--with-exec-dir=/usr/sbin'
'--with-system-regex' '--disable-debug' '--with-zlib'
'--with-gdbm' '--with-db2' '--enable-debugger'
'--enable-magic-quotes' '--enable-track-vars'
'--enable-sysvsem' '--enable-sysvshm' '--enable-track-vars'
'--with-ftp' '--with-ssl' '--with-png-dir' '--with-jpeg-dir'
'--with-gd' '--with-pfpro'

============================================================

if I remove the --with-pfpro every thing works fine.

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2001-06-01 06:30 UTC] sniper@php.net
Like it says in the #9530 last comments: the support
for V3 SDK is present in CVS. So you need to get
that to get it working. Or wait for PHP 4.0.6 to be
released. You could also try the PHP 4.0.6RC1:

http://www.php.net/~andi/php-4.0.6RC1.tar.gz

--Jani

 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Thu Dec 02 17:03:35 2021 UTC